!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!  
! AMIAS global version 1.0
!
! 20.8.2017
!
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
module global
USE MPI
implicit none

integer, parameter :: nbins=10000

type fitparam
character*20 :: name
double precision :: val,range(2),expval
double precision :: av=0.D0,sigma=0.D0
double precision :: bin(nbins,2)=0.
double precision :: ratio=0.,maxstep
integer :: nmove=0,nsucc=0,imove=1,neval=0
logical :: exp=.false.
end type fitparam

double precision :: temperature

double precision :: chi2bin(nbins,2),avchi2,sigmachi2
integer :: chi2eval

type(fitparam), allocatable :: fitparams(:)

integer :: nparams,nparams2
integer :: nblocks,nmoves,nskip


character*200 :: paramsfile


!!!!!!! MPI
  integer ( kind = 4 ) mpierror
  integer ( kind = 4 ) mpiid
  integer mpisize
  real ( kind = 8 ) mpiwtime

logical :: stoprun=.false.

  
CONTAINS

  function random() 
    implicit none
    double precision random
    call random_number(random)
    return
  end function random
  



end module global
